# Get product by id

> GET /v1/products/{product_id}

Source: https://docs.trykintsugi.com/reference/get-product-by-id

API version: v1 (legacy API)

GET /v1/products/{product_id}

Get product by id

The Get Product By ID API retrieves detailed information about
    a single product by its unique ID. This API helps in viewing the specific details
    of a product, including its attributes, status, and categorization.

Category: Products

Path parameters:
product_id (string, required) - The unique identifier for the product you want to retrieve.

Response fields:
id (string, required)
external_id (string, required)
sku (string[], required)
code (string, required)
name (string, required)
description (string, required)
status (ProductStatusEnum, required)
  allowed values: APPROVED, PARTIALLY_APPROVED, PENDING, ARCHIVED
product_category (string, required) - Main category of the product.
        For example, Physical, Digital, etc. You can
        retrieve supported categories from [GET /products/categories endpoint](/reference/api/products/get-product-categories)
product_subcategory (string, required) - Tax subcategory display label of the product (e.g. 'General Clothing'). List supported values from [GET /products/categories](/reference/api/products/get-product-categories).
tax_exempt (boolean, required)
source (SourceEnum, required)
  allowed values: BIGCOMMERCE, BESTBUY, BUNNY, CHARGEBEE, SHOPIFY, SHOPLINE, ECWID, STRIPE, AMAZON, TIKTOK, CUSTOM, UNKNOWN (and 69 more, see the reference page)
connection_id (string, required)
classification_failed (boolean, required)
store_name (string)
source_taxonomy_type (string)
source_taxonomy_code (string)
source_taxonomy_id (string)
source_taxonomy_name (string)
source_taxonomy_categories (object[])
source_taxonomy_metadata (object)

Response statuses: 200, 401, 404, 422, 500

---

Index of every page: https://docs.trykintsugi.com/llms.txt
